*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    width: 100%;
    height: auto;
    padding-top: 10%;
    padding-bottom: 10%;
    background: url('https://www.nxt.group/wp-content/uploads/2016/04/gradient-background-26046-26731-hd-wallpapers.jpg-300x188.png');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;

    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: column;
    font-family: sans-serif;
}

form{
    border-radius: 30px;
    background: rgb(153,157,158);
background: linear-gradient(90deg, rgba(153,157,158,1) 0%, rgba(255,255,255,1) 3%, rgba(255,255,255,1) 97%, rgba(153,157,158,1) 100%);
    position: relative;
    margin: auto;
    width: 30%;
    height: auto;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: column;
    font-family: sans-serif;
    padding-bottom: 10px;

}

input{
    background: none;
}

.form {
    
    
    margin-top: 10px;
    width: 50%;
    position: relative;
    height: 50px;
    overflow: hidden;
}

.form input{
    width: 100%;
    height: 100%;
    color: #595f6e;
    padding-top: 20px;
    border: none;
    outline: none;
    font-size: 16px;
}

.form label{
    position: absolute;
    bottom: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    pointer-events: none;
    border-bottom: 1px solid black;
}

.form label::after{
    content: "";
    bottom: -1px;
    left: 0px;
    position: absolute;
    height: 100%;
    width: 100%;
    border-bottom: 3px solid #5fa8d3;
    transform: translateX(-100%);
    transition: transform 0.3s ease;
}

.content-name{
    position: absolute;
    bottom: 5px;
    left: 0px;
    transition: all 0.3s ease;
}

.form input:focus + .label-name .content-name, 
.form input:valid + .label-name .content-name{
    transform: translateY(-150%);
    font-size: 14px;
    color: #5fa8d3;
}

.form input:focus + .label-name::after, .form input:valid + .label-name::after{
    transform: translateX(0%);
}


.radio-button{
    margin-top: 10px;
    width: 50%;
}
.radio-button input{
    margin-top: 10px;
  
}
input[type='radio']:after {
    width: 15px;
    height: 15px;
    border-radius: 15px;
    top: -2px;
    left: -1px;
    position: relative;
    background-color: #d1d3d1;
    content: '';
    display: inline-block;
    visibility: visible;
    border: 2px solid white;
}

input[type='radio']:checked:after{
    width: 15px;
    height: 15px;
    border-radius: 15px;
    top: -2px;
    left: -1px;
    position: relative;
    background-color: #5fa8d3;
    color: #5fa8d3;
    content: '';
    display: inline-block;
    visibility: visible;
    border: 2px solid white;
}
input[type="radio"]:checked + label, 
input[type="radio"]:checked + .radio-button::after{
      color: #5fa8d3;
    }
    

textarea{
    outline-color: #5fa8d3;
}

input[type=submit]{
    
    margin-top: 20px;
	display: block;
	width: 150px;
	height: 30px;
	margin-left: auto;
	margin-right: auto;
	color: white;
    border-radius: 30px;

    background: rgb(153,157,158);

	font-size: 25px;
	border: none;

}



@media screen and (max-width: 768px) {
	form{
        width: 100%;
        font-size: 14px;
    }
    h1{
        font-size: 20px;
    }
    input[type=submit]{
        margin-top: 10px;
        display: block;
        width: 100px;
        height: 20px;
        margin-left: auto;
        margin-right: auto;
        color: white;
        background-image: linear-gradient(to right, #EECDA3 , #5fa8d3);
        font-size: 14px;
        border: none;
        
}
}
